#!/usr/local/bin/perl

use strict;


my %data;
while(chomp(my $line = <STDIN>)) {
	my ($position, $pval) = split(/\t/, $line);
	my ($chr, $pos) = split(/:/, $position);
	$data{"$chr"}->{"$pos"} = $pval;
}

print "CHR\tBP\tSNP\tP\n";
foreach my $chr (
	"chr1", "chr2", "chr3", "chr4", "chr5", "chr6", "chr7", "chr8", "chr9", "chr10", 
	"chr11", "chr12", "chr13", "chr14", "chr15", "chr16", "chr17", "chr18", "chr19", "chr20", 
	"chr21", "chr22", "chrX", "chrY", "chrM"
) {
	foreach my $pos (sort {$a <=> $b} keys(%{$data{"$chr"}})) {
		my $pval = $data{"$chr"}->{"$pos"};
		print "$chr\t$pos\tN:N\t$pval\n";
	}
}



